FilePro update means legacy Microsoft products no longer supported

We’re excited that FilePro version 19.1 is currently in testing and not far from public release. However, to update to this version you’ll need to make sure you are not using a legacy Microsoft product.

Minimum specifications for FilePro version 19.1

You’ll need to make sure your system meets these minimum specifications:

Server: Microsoft Windows 2008 R2 Server or newer
Workstations: Microsoft Windows 7 or newer
Database: Windows SQL Server 2008 R2 or newer

You can find more comprehensive minimum system specifications here.

Why the change?

Our services, like those of other third party software providers, are developed to work with the latest technology and systems in order to maximise the tools and processes delivered as part of an upgrade.

Historically, FilePro has maintained support for operating systems and versions of Office well beyond the Microsoft end-of-support date. However, as the FilePro development team continue to rewrite FilePro features and screens as part of our facelift, we are finding that the probability of our system upgrades “playing nicely” with outdated, unsupported versions of Microsoft products inevitably declines.

Our intention is to maintain support for products that are also supported by Microsoft, which will reduce risk for everyone involved.

Benefits of change

Updating your Microsoft products will also help reduce security risks. Outdated and unsupported operating systems increase your firm’s security risks because your systems won’t have the latest security patches which exposes your client data to unnecessary risks.

Security of your systems and data should be a high priority given the Office of the Australian Information Commissioner (OAIC) finding that the legal sector reported the third highest number of data breaches from October to December 2018, with 64% of the reports attributed to malicious or criminal attacks.

What you need to do

If your PCs and software are relatively up-to-date, then you don’t have anything to worry about. There’s nothing to do if your systems meet the minimum specifications.

If you still have a few dusty Windows XP machines in the back room and you are happy using FilePro version 18.3, FilePro will not stop working. But you will not be able to update to newer versions of FilePro until you have updated old versions of Windows and Office.

Stay tuned

We’ll continue to provide updates on this topic in multiple formats – including this eNewsletter, direct communications and also in notes that accompany new version releases. It will also be apparent on the FilePro downloads page that some versions require attention to your minimum specs.

Questions?

As always, if you have any questions about this topic or the technical specifications for FilePro, including potential hardware upgrades that you are considering, please don’t hesitate to get in touch with your local FilePro support team.

If you are using another Practice Management Software and considering a change to FilePro, get in touch to discuss systems specifications and our development plan.

April 29th, 2019|FilePro Updates|0 Comments

Leave A Comment